TODO
====

This list is out of date.  We should really put updating this list on the list....

Names in brackets denotes who is working on a given issue.
(?) denotes a suggestion which needs discussion.

Tasks:
======

- Easy:
  ====
  
* Disc number support
* Album cover support
* Better alert dialogs
* Sane defaults (pane pos, window size, show browser by default)
* Better genre in songinfo: separate styles and genres? (Use sentence case in genre dropdown in any case)
* Group views need to be reorderable
* Stop button in systray menu doesnt make sense: just keep it pause/playnig
* tray: tooltip when changing song?
* tray: play/pause instead of current icon? and dump hiding feature.. instead have an iconify/restore menuitem
* Use RBFileMonitor in song-info
* Better status message (we dont need megs i guess)
* Comments in songinfo in separate tab?
* Remove "Add to library", nautilus is the way to add files.
* Changing tb editing while playing gives interesting results
* Prettier playing area, like phonic
* Use scrollbar if columns really dont fit in nodeview [jorn]
* Separate columns config for groups?
* Corrs, The vs Corrs, the
* Fix context menu tips
* Change rating widget to not expand, have same space left of stars as right
* DnD from genreview
* Be sure All-whatever is selected when browser pref changes
* monkey-media should be a bit more clever when songs don't have a title
* monkey-media should use get the mime-type by data instead of extension
* Make all the icons themeable if applicable
* Resizable columns
* large icons in the Source table (configurable)

- Medium:
  ======
  
* Implement audio cd [Kenneth]
* Implement tag editing
* Tag fixing with musicbrainz
* CD ripping
* Ellipsize artist/album link widgets
* Smart playlists
* Visualization (FX Plugins) [Sienap]
* "Open stream" feature
* File mass tagging
* Autoscroll to playing node after perioud of interface inactivity (?)
* Browser & search support for groups
* Save library and groups periodically
* Select groups from applet (?)
* Properly drawn DND hints on sidebar
* Support opening groups in new windows for easy editing (?)
* Multiple tag support in songinfo and rb itself
* Multiple songs of same node in a group
* Save treeview state and filtering state
* Save/restore toolbar position
* "View browser" should work with gconf notifier
* Support for custom volume on songs + edition in the song info [Olive]
* Ellipsizing celltextrenderer
* Multiple selection in artist/album browser
* DNDing whole multiple-artist albums is broken, should prolly bundle
  a filter object or something iwth the dnd.
* Search: Enter should start playing selected search result, arrows should
  move sel up and down (a la xmms)
* Ditch filepicker when we have a decent filemanager in gnome
* Previous/Next is slow on a big treeview
* Figure out right behaviour for current song pointer in songinfo vs. selected row
* Songinfo should connect to some changed signal on the RBNode
* Don't sort on tracknum by default for groups
* Mute menuitem
* check Quality: high or Quality: High capitalization with the HIG
* Figure proper tracknunber format (01 vs. 01 of 11)
* Statusbar text should maybe left aligned (?)
* Help buttons in toolbar editor and properties dialog
* Rating should prelight to indicate it's editable
* Fade out on exit (?)
* Song queue thing (?)
* Columns resizable and reorderable once we can save the state
* Fix delete slowness
* Statusmessage when changing filtering should be something like "Filtering..."
* Jump to current song tb button
* Show browser tb button
* Play in sidebar c ontextmenu? doubleclick to play? (?)
* Pointer-cursor with small clock when adding to lib (HIG)
* Periodically save lib and groups
* Replace sidebar with list, so we can have more groups, and make the
  playing source bold (?)
* Different playing icon for playing than for paused (?)
* Reintroduce watched folders? (?) (gnome-wide monitoring service?)
* "Narrowing view", ie only selecting currently playing artist/album
* DnD to applet
* File mass tagging
* Move kb focus to row when jumping to playing song
* auto-jump to when pressing prev/next should be fixed
* Occasionally random returns invisible nodes, esp with previous
* Not playing when everything is shown?
* Sometimes hangs on start?
* Play count should prolly be updated when halfway the song, not on eos.
* Compress XML file?
* Store locale in xml, so that we can invalidate the collated keys and
  tracknumbers when it changes.
* View stuff is still confusing
* Delete shoud check which treeview is selected; and cut/copy/paste album/artist
* Support dragging groups to trashcan
* autoremove browser in very small window
* small view?
* Contextmenus not working
* FIx up rblink
* Smart column selection (artist, album shown when "All" or multiple artist/albums selected, or when browser hidden, otherwisde hidden, etc)

- Hard:
  ====
* Use medusa to find all ogg/mp3 on the user's system
* Re-enable monitoring when FAM is fixed
* Incremental statusbar updating while loading

- Transcendence:
  ============

* All actions should be reversable (undo/redo support) everywhere, so we don't
need confirmation dialogs

arch-tag: Toplevel description of tasks to complete
